1.1
1.1
get /v1/data-ops-services
Description
GetDataOpsServiceListConsole v1.1
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | data_ops_service_name optional | data_ops_service_name Example : | string | None |
| query | data_ops_name optional | data_ops_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataOpsServicesConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:29.690Z",
"data_ops_id": "",
"data_ops_name": "",
"data_ops_service_id": "",
"data_ops_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:29.690Z",
"state": "",
"version": ""
}
],
"total_count": ""
}